<?php
/*======================================================================*\
|| #################################################################### ||
|| # vBulletin 3.8.9 Beta 1
|| # ---------------------------------------------------------------- # ||
|| # Copyright �2000-2014 vBulletin Solutions, Inc. All Rights Reserved. ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- VBULLETIN IS NOT FREE SOFTWARE ---------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
define('CVS_REVISION', '$RCSfile$ - $Revision: 80813 $');

// #################### PRE-CACHE TEMPLATES AND DATA ######################
$phrasegroups = array('cppermission', 'cpuser', 'cpusergroup');
$specialtemplates = array();

// ########################## REQUIRE BACK-END ############################
require_once('./global.php');

if (!$vbulletin->userinfo['saut_adminpermission']) {
    print_cp_no_permission();
}


print_cp_header($vbphrase['saut_manage_user_titles']);



// ########################## Add user title page ############################

if ($_REQUEST['do'] == 'add') {
    print_form_header('shqawe_saut', 'doadd');
    print_table_header($vbphrase['saut_add_new_additional_user_title']);
    print_input_row("<b>$vbphrase[saut_name_of_title]</b>", "saut_user_title");
    print_input_row("<b>$vbphrase[saut_title_css]</b>", "saut_user_title_css");
    print_label_row($vbphrase['saut_add_css_clss_in_this_tmeplate'], '<b>saut_css_template</b>');
    print_submit_row();
    print_column_style_code(array('width: 70%', 'width: 30%'));
}

// ########################## process adding user title page ############################

if ($_REQUEST['do'] == 'doadd') {
    $vbulletin->input->clean_array_gpc('p', array(
        'saut_user_title' => TYPE_STR,
        'saut_user_title_css' => TYPE_NOHTMLCOND
    ));

    if (empty($vbulletin->GPC['saut_user_title']) || empty($vbulletin->GPC['saut_user_title_css'])) {
        print_stop_message('saut_all_fields_required');
    }


    $db->query_write("
	INSERT INTO " . TABLE_PREFIX . "shqawe_add_user_titles 
		(saut_user_title, saut_user_title_css)	
	VALUES 
		('" . addslashes($vbulletin->GPC['saut_user_title']) . "',
			'" . addslashes($vbulletin->GPC['saut_user_title_css']) . "'
		)");

    $user_title = $vbulletin->GPC['saut_user_title'];
    define('CP_REDIRECT', 'shqawe_saut.php?do=show');
    print_stop_message('saut_user_title_x_has_been_saved_successfully', $user_title);
}


// ########################## display user title page ############################

if ($_REQUEST['do'] == 'show') {

    $sauts = $db->query_read("SELECT * FROM " . TABLE_PREFIX . "shqawe_add_user_titles ORDER BY saut_id");
    print_table_start();
    print_table_header($vbphrase['saut_manage_user_titles'], 3);
    $header = array();
    $header[] = $vbphrase['saut_tbl_title'];
    $header[] = $vbphrase['saut_tbl_css_class'];
    $header[] = $vbphrase['saut_tbl_action'];
    print_cells_row($header, 1, 0, 1);
    while ($sautstitles = $db->fetch_array($sauts)) {
        $cell[] = $sautstitles['saut_user_title'];
        $cell[] = $sautstitles['saut_user_title_css'];
        $cell[] = "<b><a href=shqawe_saut.php?do=edit&saut_id=$sautstitles[saut_id]>$vbphrase[saut_edit_user_title]</a></b> | 
        <b><a href=shqawe_saut.php?do=delete&saut_id=$sautstitles[saut_id]>$vbphrase[saut_delete_user_title]</a></b>";
        print_cells_row($cell, 0, 0, 1, 1, 0, 1);
        unset($cell);
        $cell = array();
    }

    print_table_footer();
}

// ########################## edit user title page ############################

if ($_REQUEST['do'] == 'edit') {
    $vbulletin->input->clean_array_gpc('p', array(
        'saut_id' => TYPE_INT
    ));

    $id = intval($_REQUEST['saut_id']);

    $saut = $db->query_first("SELECT * FROM " . TABLE_PREFIX . "shqawe_add_user_titles WHERE saut_id = '$id'");

    print_form_header('shqawe_saut', 'doedit');
    print_table_header($vbphrase['saut_add_new_additional_user_title']);
    print_input_row("<b>$vbphrase[saut_name_of_title]</b>", "saut_user_title", $saut['saut_user_title']);
    print_input_row("<b>$vbphrase[saut_title_css]</b>", "saut_user_title_css", $saut['saut_user_title_css']);
    print_label_row($vbphrase['saut_add_css_clss_in_this_tmeplate'], '<b>saut_css_template</b>');
    construct_hidden_code("saut_id", $id);
    print_submit_row();
    print_column_style_code(array('width: 70%', 'width: 30%'));
}

// ########################## processing edit user title page ############################

if ($_REQUEST['do'] == 'doedit') {
    $vbulletin->input->clean_array_gpc('p', array(
        'saut_id' => TYPE_INT,
        'saut_user_title' => TYPE_STR,
        'saut_user_title_css' => TYPE_NOHTMLCOND
    ));

    $id = intval($_REQUEST['saut_id']);

    $db->query_write("UPDATE " . TABLE_PREFIX . "shqawe_add_user_titles
     SET saut_user_title='" . addslashes($vbulletin->GPC['saut_user_title']) . "', 
     saut_user_title_css='" . addslashes($vbulletin->GPC['saut_user_title_css']) . "' 
     WHERE saut_id= '$id' ");

    // echo $vbulletin->GPC['saut_user_title'];
    define('CP_REDIRECT', 'shqawe_saut.php?do=show');
    print_stop_message('saut_user_title_x_has_been_edit_successfully', $vbulletin->GPC['saut_user_title']);
}

// ########################## delete user title page ############################


if ($_REQUEST['do'] == 'delete') {
    $vbulletin->input->clean_array_gpc('p', array(
        'saut_id' => TYPE_INT
    ));

    $id = intval($_REQUEST['saut_id']);

    $saut = $db->query_first("SELECT * FROM " . TABLE_PREFIX . "shqawe_add_user_titles WHERE saut_id = '$id'");

    print_form_header("shqawe_saut", "kill");
    construct_hidden_code('saut_id', $id);
    print_table_header(construct_phrase($vbphrase['confirm_deletion_x'], $saut['saut_user_title']));
    print_submit_row($vbphrase['yes'], 0, 2, $vbphrase['no']);
}

// ########################## processing delete user title page ############################

if ($_REQUEST['do'] == 'kill') {
    $vbulletin->input->clean_array_gpc('p', array(
        'saut_id' => TYPE_INT
    ));

    $id = intval($_REQUEST['saut_id']);
    $db->query_write("DELETE FROM " . TABLE_PREFIX . "shqawe_add_user_titles WHERE saut_id= '$id' ");

    define('CP_REDIRECT', 'shqawe_saut.php?do=show');
    print_stop_message('saut_user_title_has_been_delete_successfully');
}


print_cp_footer();
